XDF_ADD_EVENT(3)

NAME
xdf_add_event - Appends an event to the data file

SYNOPSIS

#include <xdfio.h>

int xdf_add_event(struct xdf* xdf, int evttype,
double onset, double dur);

DESCRIPTION

xdf_add_event() appends to the file referenced by the handle xdf opened for writing an event of type evttype at time onset lasting for a duration dur expressed in seconds. If the event has no notion of duration, dur should be set to 0. evttype should be a value returned by a successful call to xdf_add_evttype(3).

RETURN VALUE

xdf_add_event() returns 0 in case of success. Otherwise -1 is returned and errno is set appropriately.

ERRORS

EINVAL
    xdf is NULL or evttype has not been previously created by xdf_add_evttype(3)

ENOMEM
    The system is unable to allocate resources.

EPERM
    The file referenced by xdf has not been opened for writing or its file format does not support events.

SEE ALSO
xdf_add_evttype(3)